using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UniversityContracts.BindingModels;
using UniversityContracts.ViewModels;

namespace UniversityContracts.BusinessLogicContracts
{
    public interface IReportCustomerLogic
    {
        List<ReportDisciplineViewModel> GetDiscipline(ReportBindingModel model);
        List<ReportStreamEducationStatusViewModel> StreamEducationStatus(List<StreamViewModel> streams);

        void SaveBlanksToWordFile(ReportBindingModel model);

        void SaveDocumentBlankToExcelFile(ReportBindingModel model);

        void SaveOrdersToPdfFile(ReportBindingModel model);
    }
}
